> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List account type permissions

GET https://api.sigmacomputing.com/v2/accountTypes/{accountTypeId}/permissions

Returns all feature permissions for a specific account type.

  ### Usage notes
  - Retrieve the **accountTypeId** by calling the [/v2/accountTypes](https://help.sigmacomputing.com/reference/list-account-types) endpoint.
  - To perform this operation, you must use API credentials owned by a user assigned the Admin account type.

  ### Usage scenarios
  - Display permission details in an admin interface.
  - Validate user capabilities based on account type.
  - Compare permissions across different account types.
  

Reference: https://help.sigmacomputing.com/reference/list-account-type-permissions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/accountTypes/{accountTypeId}/permissions:
    get:
      operationId: listAccountTypePermissions
      summary: List account type permissions
      description: |-
        Returns all feature permissions for a specific account type.

          ### Usage notes
          - Retrieve the **accountTypeId** by calling the [/v2/accountTypes](https://help.sigmacomputing.com/reference/list-account-types) endpoint.
          - To perform this operation, you must use API credentials owned by a user assigned the Admin account type.

          ### Usage scenarios
          - Display permission details in an admin interface.
          - Validate user capabilities based on account type.
          - Compare permissions across different account types.
          
      tags:
        - accountTypes
      parameters:
        - name: accountTypeId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/V2AccountTypesAccountTypeIdPermissionsGetResponsesContentApplicationJsonSchemaItems
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2AccountTypesAccountTypeIdPermissionsGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        permission:
          type: string
          description: The permission name. For example, "view-worksheet".
        description:
          type: string
          description: A human-readable description of what this permission allows.
      required:
        - permission
        - description
      title: >-
        V2AccountTypesAccountTypeIdPermissionsGetResponsesContentApplicationJsonSchemaItems
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
[
  {
    "permission": "view-worksheet",
    "description": "Allows the user to view worksheets and their data."
  },
  {
    "permission": "edit-dataset",
    "description": "Grants the ability to modify datasets and their schema."
  },
  {
    "permission": "manage-users",
    "description": "Enables management of user accounts and permissions."
  },
  {
    "permission": "create-workbook",
    "description": "Permits creation of new workbooks and reports."
  },
  {
    "permission": "export-data",
    "description": "Allows exporting data from Sigma in various formats."
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```